Uploaded image for project: 'Apache Storm'
  1. Apache Storm
  2. STORM-2353

Test kafka-clients:0.10.1.1 failed due to deprecated call from external Kafka unit dependency

    Details

    • Type: Test
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.0.0, 1.1.0
    • Component/s: storm-kafka-client
    • Labels:
      None

      Description

      The storm-kafka-client/SingleTopicKafkaSpoutTest uses external dependency info.batey.kafka/kafka-unit:0.6. This library depends on deprecated KeyedMessage and kafka_2.11:0.10.0.0.

      Verified by mvn clean install -Dstorm.kafka.client.version=0.10.1.1 as document from https://github.com/apache/storm/blob/master/docs/storm-kafka-client.md

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                lukesun Luke Sun
                Reporter:
                lukesun Luke Sun
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 5h 10m
                  5h 10m